Bug 154085 - [patch] mail/offlineimap: update to v6.3.2-rc1 tag
Summary: [patch] mail/offlineimap: update to v6.3.2-rc1 tag
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-17 15:10 UTC by swell.k
Modified: 2015-03-11 08:23 UTC (History)
0 users

See Also:


Attachments
a.diff (3.76 KB, patch)
2011-01-17 15:10 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2011-01-17 15:10:08 UTC
- update (upstream maintainer changed)
- use pre-fetch hack to allow downloading from github
- don't try to verify certificate when sslcacertfile wasn't specified[1]

[1] http://lists.alioth.debian.org/pipermail/offlineimap-project/2011-January/000832.html
Comment 1 Edwin Groothuis freebsd_committer 2011-01-17 15:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2011-01-18 16:26:08 UTC
prefer fix from sspaeth[1] when sslcacertfile is not specified

[1] http://lists.alioth.debian.org/pipermail/offlineimap-project/2011-January/000843.html

--- a.diff begins here ---
Index: mail/offlineimap/Makefile
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/Makefile,v
retrieving revision 1.32
diff -u -p -r1.32 Makefile
--- mail/offlineimap/Makefile	8 Aug 2010 21:31:40 -0000	1.32
+++ mail/offlineimap/Makefile	18 Jan 2011 15:54:52 -0000
@@ -6,27 +6,33 @@
 #
 
 PORTNAME=	offlineimap
-DISTVERSION=	6.2.0.2
-DISTVERSIONSUFFIX=-0-g6b1cb5e
+DISTVERSION=	6.3.2-rc1
 CATEGORIES=	mail python
 MASTER_SITES=	http://download.github.com/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	sergei
-DISTNAME=	jgoerzen-${PORTNAME}-debian-${DISTVERSION}${DISTVERSIONSUFFIX}
+DISTNAME=	nicolas33-${PORTNAME}-v${DISTVERSION}-0-g229bcca
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Powerful IMAP/Maildir synchronization and reader support
 
-WRKSRC=		${WRKDIR}/jgoerzen-${PORTNAME}-0f1a667
+WRKSRC=		${WRKDIR}/nicolas33-${PORTNAME}-2764cd9
 SUB_FILES=	pkg-message
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGVERSION=${PORTVERSION:R}
+PYDISTUTILS_PKGVERSION=6.3.1
 
 DOCS=		COPYING COPYRIGHT FAQ.html UPGRADING
 EXAMPLES=	offlineimap.conf offlineimap.conf.minimal
 
+pre-fetch:
+	# get github download ticket
+	if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
+		${FETCH_BINARY} -s >/dev/null \
+			http://github.com/nicolas33/${PORTNAME}/tarball/v${DISTVERSION}; \
+	fi
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: mail/offlineimap/distinfo
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- mail/offlineimap/distinfo	8 Aug 2010 21:31:40 -0000	1.20
+++ mail/offlineimap/distinfo	17 Jan 2011 12:12:20 -0000
@@ -1,3 +1,2 @@
-MD5 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = e1a01b6b1c1a70a1afaefb0a20634bc1
-SHA256 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 04b5757db2447164c43424f68b774c1e6ef6883c9b776ce48dd3109815569b85
-SIZE (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 103955
+SHA256 (nicolas33-offlineimap-v6.3.2-rc1-0-g229bcca.tar.gz) = 0c5a4646d25cd84c33eabd8b60cf73fa5b3a3a2c1d7ec505c459564ffcf6d447
+SIZE (nicolas33-offlineimap-v6.3.2-rc1-0-g229bcca.tar.gz) = 97447
Index: mail/offlineimap/pkg-descr
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-descr,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-descr
--- mail/offlineimap/pkg-descr	27 Jul 2008 19:12:24 -0000	1.2
+++ mail/offlineimap/pkg-descr	17 Jan 2011 12:06:14 -0000
@@ -7,4 +7,4 @@ on your work computer as well.  OfflineI
 to use a mail reader that does not have IMAP support, has poor IMAP
 support, or does not provide disconnected operation.
 
-WWW:	http://software.complete.org/software/projects/show/offlineimap
+WWW:	https://github.com/nicolas33/offlineimap
Index: mail/offlineimap/files/patch-offlineimap-imaplibutil.py
===================================================================
RCS file: mail/offlineimap/files/patch-offlineimap-imaplibutil.py
diff -N mail/offlineimap/files/patch-offlineimap-imaplibutil.py
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ mail/offlineimap/files/patch-offlineimap-imaplibutil.py	18 Jan 2011 15:56:30 -0000
@@ -0,0 +1,22 @@
+diff --git a/offlineimap/imaplibutil.py b/offlineimap/imaplibutil.py
+index ba6a5bb..6ff946b 100644
+--- offlineimap/imaplibutil.py
++++ offlineimap/imaplibutil.py
+@@ -134,11 +134,12 @@ class WrappedIMAP4_SSL(IMAP4_SSL):
+                                      self.certfile)
+ 
+         else:
+-            #ssl.wrap_socket worked and cert is verified, now check
+-            #that hostnames also match.
+-            error = self._verifycert(self.sslobj.getpeercert(), host)
+-            if error:
+-                raise ssl.SSLError("SSL Certificate host name mismatch: %s" % error)
++            #ssl.wrap_socket worked and cert is verified (if configured),
++            #now check that hostnames also match if we have a CA cert.
++            if self._cacertfile:
++                error = self._verifycert(self.sslobj.getpeercert(), host)
++                if error:
++                    raise ssl.SSLError("SSL Certificate host name mismatch: %s" % error)
+ 
+         #TODO: Done for now. We should implement a mutt-like behavior
+         #that offers the users to accept a certificate (presenting a
--- a.diff ends here ---
Comment 3 swell.k 2011-01-21 20:54:32 UTC
update to 6.3.2-rc2

--- a.diff begins here ---
Index: mail/offlineimap/Makefile
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/Makefile,v
retrieving revision 1.32
diff -u -p -r1.32 Makefile
--- mail/offlineimap/Makefile	8 Aug 2010 21:31:40 -0000	1.32
+++ mail/offlineimap/Makefile	21 Jan 2011 20:51:24 -0000
@@ -6,27 +6,39 @@
 #
 
 PORTNAME=	offlineimap
-DISTVERSION=	6.2.0.2
-DISTVERSIONSUFFIX=-0-g6b1cb5e
+DISTVERSION=	6.3.2-rc2
 CATEGORIES=	mail python
 MASTER_SITES=	http://download.github.com/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	sergei
-DISTNAME=	jgoerzen-${PORTNAME}-debian-${DISTVERSION}${DISTVERSIONSUFFIX}
+DISTNAME=	nicolas33-${PORTNAME}-v${DISTVERSION}-0-g69c1b07
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Powerful IMAP/Maildir synchronization and reader support
 
-WRKSRC=		${WRKDIR}/jgoerzen-${PORTNAME}-0f1a667
+WRKSRC=		${WRKDIR}/nicolas33-${PORTNAME}-c8256fa
 SUB_FILES=	pkg-message
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGVERSION=${PORTVERSION:R}
+PYDISTUTILS_PKGVERSION=6.3.1
 
-DOCS=		COPYING COPYRIGHT FAQ.html UPGRADING
+DOCS=		*.rst docs/*.rst
 EXAMPLES=	offlineimap.conf offlineimap.conf.minimal
 
+pre-fetch:
+	# get github download ticket
+	if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
+		${FETCH_BINARY} -s >/dev/null \
+			http://github.com/nicolas33/${PORTNAME}/tarball/v${DISTVERSION}; \
+	fi
+
+post-patch:	.SILENT
+	${REINPLACE_CMD} 's/\(import offlineimap\).version/\1/' \
+		${WRKSRC}/setup.py \
+		${WRKSRC}/offlineimap/ui/Machine.py \
+		${WRKSRC}/offlineimap/ui/UIBase.py
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: mail/offlineimap/distinfo
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- mail/offlineimap/distinfo	8 Aug 2010 21:31:40 -0000	1.20
+++ mail/offlineimap/distinfo	21 Jan 2011 20:25:44 -0000
@@ -1,3 +1,2 @@
-MD5 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = e1a01b6b1c1a70a1afaefb0a20634bc1
-SHA256 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 04b5757db2447164c43424f68b774c1e6ef6883c9b776ce48dd3109815569b85
-SIZE (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 103955
+SHA256 (nicolas33-offlineimap-v6.3.2-rc2-0-g69c1b07.tar.gz) = 2f1619ebca6c1c9a96f7249db88127aff0ad9bc36c7daf8493dc9bd3c7622c8b
+SIZE (nicolas33-offlineimap-v6.3.2-rc2-0-g69c1b07.tar.gz) = 91899
Index: mail/offlineimap/pkg-descr
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-descr,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-descr
--- mail/offlineimap/pkg-descr	27 Jul 2008 19:12:24 -0000	1.2
+++ mail/offlineimap/pkg-descr	17 Jan 2011 12:06:14 -0000
@@ -7,4 +7,4 @@ on your work computer as well.  OfflineI
 to use a mail reader that does not have IMAP support, has poor IMAP
 support, or does not provide disconnected operation.
 
-WWW:	http://software.complete.org/software/projects/show/offlineimap
+WWW:	https://github.com/nicolas33/offlineimap
Index: mail/offlineimap/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-plist,v
retrieving revision 1.8
diff -u -p -r1.8 pkg-plist
--- mail/offlineimap/pkg-plist	8 Aug 2010 21:31:40 -0000	1.8
+++ mail/offlineimap/pkg-plist	21 Jan 2011 20:51:58 -0000
@@ -65,9 +65,6 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.py
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.py
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap/ui
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.py
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyc
@@ -102,14 +99,15 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.py
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/version.py
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
-%%PORTDOCS%%%%DOCSDIR%%/FAQ.html
-%%PORTDOCS%%%%DOCSDIR%%/UPGRADING
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.draft.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.rst
+%%PORTDOCS%%%%DOCSDIR%%/FAQ.rst
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL.rst
+%%PORTDOCS%%%%DOCSDIR%%/MANUAL.rst
+%%PORTDOCS%%%%DOCSDIR%%/README.rst
+%%PORTDOCS%%%%DOCSDIR%%/SubmittingPatches.rst
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADE.rst
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%EXAMPLESDIR%%/offlineimap.conf
 %%EXAMPLESDIR%%/offlineimap.conf.minimal
--- a.diff ends here ---
Comment 4 swell.k 2011-01-22 07:59:07 UTC
- fix MachineUI
- add LICENSE

Not sure why Curses.Blinkenlights fails to import MultiLock.

--- a.diff begins here ---
Index: mail/offlineimap/Makefile
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/Makefile,v
retrieving revision 1.32
diff -u -p -r1.32 Makefile
--- mail/offlineimap/Makefile	8 Aug 2010 21:31:40 -0000	1.32
+++ mail/offlineimap/Makefile	22 Jan 2011 07:19:01 -0000
@@ -6,27 +6,44 @@
 #
 
 PORTNAME=	offlineimap
-DISTVERSION=	6.2.0.2
-DISTVERSIONSUFFIX=-0-g6b1cb5e
+DISTVERSION=	6.3.2-rc2
 CATEGORIES=	mail python
 MASTER_SITES=	http://download.github.com/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	sergei
-DISTNAME=	jgoerzen-${PORTNAME}-debian-${DISTVERSION}${DISTVERSIONSUFFIX}
+DISTNAME=	nicolas33-${PORTNAME}-v${DISTVERSION}-0-g69c1b07
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Powerful IMAP/Maildir synchronization and reader support
 
-WRKSRC=		${WRKDIR}/jgoerzen-${PORTNAME}-0f1a667
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+LICENSE_FILE_GPLv2=${WRKSRC}/COPYING
+
+WRKSRC=		${WRKDIR}/nicolas33-${PORTNAME}-c8256fa
 SUB_FILES=	pkg-message
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGVERSION=${PORTVERSION:R}
+PYDISTUTILS_PKGVERSION=6.3.1
 
-DOCS=		COPYING COPYRIGHT FAQ.html UPGRADING
+DOCS=		*.rst docs/*.rst
 EXAMPLES=	offlineimap.conf offlineimap.conf.minimal
 
+pre-fetch:
+	# get github download ticket
+	if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
+		${FETCH_BINARY} -s >/dev/null \
+			http://github.com/nicolas33/${PORTNAME}/tarball/v${DISTVERSION}; \
+	fi
+
+post-patch:	.SILENT
+	${REINPLACE_CMD} -e 's/offlineimap\.version\.banner/offlineimap.banner/' \
+		-e 's/\(import offlineimap\)\.version/\1/' \
+		${WRKSRC}/setup.py \
+		${WRKSRC}/offlineimap/ui/Machine.py \
+		${WRKSRC}/offlineimap/ui/UIBase.py
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: mail/offlineimap/distinfo
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- mail/offlineimap/distinfo	8 Aug 2010 21:31:40 -0000	1.20
+++ mail/offlineimap/distinfo	21 Jan 2011 20:25:44 -0000
@@ -1,3 +1,2 @@
-MD5 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = e1a01b6b1c1a70a1afaefb0a20634bc1
-SHA256 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 04b5757db2447164c43424f68b774c1e6ef6883c9b776ce48dd3109815569b85
-SIZE (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 103955
+SHA256 (nicolas33-offlineimap-v6.3.2-rc2-0-g69c1b07.tar.gz) = 2f1619ebca6c1c9a96f7249db88127aff0ad9bc36c7daf8493dc9bd3c7622c8b
+SIZE (nicolas33-offlineimap-v6.3.2-rc2-0-g69c1b07.tar.gz) = 91899
Index: mail/offlineimap/pkg-descr
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-descr,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-descr
--- mail/offlineimap/pkg-descr	27 Jul 2008 19:12:24 -0000	1.2
+++ mail/offlineimap/pkg-descr	17 Jan 2011 12:06:14 -0000
@@ -7,4 +7,4 @@ on your work computer as well.  OfflineI
 to use a mail reader that does not have IMAP support, has poor IMAP
 support, or does not provide disconnected operation.
 
-WWW:	http://software.complete.org/software/projects/show/offlineimap
+WWW:	https://github.com/nicolas33/offlineimap
Index: mail/offlineimap/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-plist,v
retrieving revision 1.8
diff -u -p -r1.8 pkg-plist
--- mail/offlineimap/pkg-plist	8 Aug 2010 21:31:40 -0000	1.8
+++ mail/offlineimap/pkg-plist	21 Jan 2011 20:51:58 -0000
@@ -65,9 +65,6 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.py
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.py
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap/ui
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.py
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyc
@@ -102,14 +99,15 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.py
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/version.py
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
-%%PORTDOCS%%%%DOCSDIR%%/FAQ.html
-%%PORTDOCS%%%%DOCSDIR%%/UPGRADING
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.draft.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.rst
+%%PORTDOCS%%%%DOCSDIR%%/FAQ.rst
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL.rst
+%%PORTDOCS%%%%DOCSDIR%%/MANUAL.rst
+%%PORTDOCS%%%%DOCSDIR%%/README.rst
+%%PORTDOCS%%%%DOCSDIR%%/SubmittingPatches.rst
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADE.rst
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%EXAMPLESDIR%%/offlineimap.conf
 %%EXAMPLESDIR%%/offlineimap.conf.minimal
--- a.diff ends here ---
Comment 5 swell.k 2011-02-06 14:00:21 UTC
- update to -rc3, this fixed Curses.Blinkenlights[1]
- change WWW to offlineimap.org

[1] http://lists.alioth.debian.org/pipermail/offlineimap-project/2011-February/001075.html

--- a.diff begins here ---
Index: mail/offlineimap/Makefile
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/Makefile,v
retrieving revision 1.32
diff -u -p -r1.32 Makefile
--- mail/offlineimap/Makefile	8 Aug 2010 21:31:40 -0000	1.32
+++ mail/offlineimap/Makefile	6 Feb 2011 13:47:04 -0000
@@ -6,27 +6,37 @@
 #
 
 PORTNAME=	offlineimap
-DISTVERSION=	6.2.0.2
-DISTVERSIONSUFFIX=-0-g6b1cb5e
+DISTVERSION=	6.3.2-rc3
 CATEGORIES=	mail python
 MASTER_SITES=	http://download.github.com/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	sergei
-DISTNAME=	jgoerzen-${PORTNAME}-debian-${DISTVERSION}${DISTVERSIONSUFFIX}
+DISTNAME=	nicolas33-${PORTNAME}-v${DISTVERSION}-0-gcad6b69
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Powerful IMAP/Maildir synchronization and reader support
 
-WRKSRC=		${WRKDIR}/jgoerzen-${PORTNAME}-0f1a667
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+LICENSE_FILE_GPLv2=${WRKSRC}/COPYING
+
+WRKSRC=		${WRKDIR}/nicolas33-${PORTNAME}-9c5f47f
 SUB_FILES=	pkg-message
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGVERSION=${PORTVERSION:R}
+PYDISTUTILS_PKGVERSION=6.3.1
 
-DOCS=		COPYING COPYRIGHT FAQ.html UPGRADING
+DOCS=		*.rst docs/*.rst
 EXAMPLES=	offlineimap.conf offlineimap.conf.minimal
 
+pre-fetch:
+	# get github download ticket
+	if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
+		${FETCH_BINARY} -s >/dev/null \
+			http://github.com/nicolas33/${PORTNAME}/tarball/v${DISTVERSION}; \
+	fi
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: mail/offlineimap/distinfo
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- mail/offlineimap/distinfo	8 Aug 2010 21:31:40 -0000	1.20
+++ mail/offlineimap/distinfo	6 Feb 2011 13:42:49 -0000
@@ -1,3 +1,2 @@
-MD5 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = e1a01b6b1c1a70a1afaefb0a20634bc1
-SHA256 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 04b5757db2447164c43424f68b774c1e6ef6883c9b776ce48dd3109815569b85
-SIZE (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 103955
+SHA256 (nicolas33-offlineimap-v6.3.2-rc3-0-gcad6b69.tar.gz) = d1d30463e0d7c52b02e3d08e81c3985f336144355ead50c60938aac941ee21f5
+SIZE (nicolas33-offlineimap-v6.3.2-rc3-0-gcad6b69.tar.gz) = 92326
Index: mail/offlineimap/pkg-descr
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-descr,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-descr
--- mail/offlineimap/pkg-descr	27 Jul 2008 19:12:24 -0000	1.2
+++ mail/offlineimap/pkg-descr	6 Feb 2011 13:53:54 -0000
@@ -7,4 +7,4 @@ on your work computer as well.  OfflineI
 to use a mail reader that does not have IMAP support, has poor IMAP
 support, or does not provide disconnected operation.
 
-WWW:	http://software.complete.org/software/projects/show/offlineimap
+WWW:	http://offlineimap.org
Index: mail/offlineimap/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-plist,v
retrieving revision 1.8
diff -u -p -r1.8 pkg-plist
--- mail/offlineimap/pkg-plist	8 Aug 2010 21:31:40 -0000	1.8
+++ mail/offlineimap/pkg-plist	21 Jan 2011 20:51:58 -0000
@@ -65,9 +65,6 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.py
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.py
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap/ui
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.py
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyc
@@ -102,14 +99,15 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.py
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/version.py
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
-%%PORTDOCS%%%%DOCSDIR%%/FAQ.html
-%%PORTDOCS%%%%DOCSDIR%%/UPGRADING
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.draft.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.rst
+%%PORTDOCS%%%%DOCSDIR%%/FAQ.rst
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL.rst
+%%PORTDOCS%%%%DOCSDIR%%/MANUAL.rst
+%%PORTDOCS%%%%DOCSDIR%%/README.rst
+%%PORTDOCS%%%%DOCSDIR%%/SubmittingPatches.rst
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADE.rst
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%EXAMPLESDIR%%/offlineimap.conf
 %%EXAMPLESDIR%%/offlineimap.conf.minimal
--- a.diff ends here ---
Comment 6 swell.k 2011-02-24 21:26:39 UTC
bump version to v6.3.2 release

--- a.diff begins here ---
Index: mail/offlineimap/Makefile
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/Makefile,v
retrieving revision 1.32
diff -u -p -r1.32 Makefile
--- mail/offlineimap/Makefile	8 Aug 2010 21:31:40 -0000	1.32
+++ mail/offlineimap/Makefile	24 Feb 2011 21:22:06 -0000
@@ -6,27 +6,36 @@
 #
 
 PORTNAME=	offlineimap
-DISTVERSION=	6.2.0.2
-DISTVERSIONSUFFIX=-0-g6b1cb5e
+DISTVERSION=	6.3.2
 CATEGORIES=	mail python
 MASTER_SITES=	http://download.github.com/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	sergei
-DISTNAME=	jgoerzen-${PORTNAME}-debian-${DISTVERSION}${DISTVERSIONSUFFIX}
+DISTNAME=	nicolas33-${PORTNAME}-v${DISTVERSION}-0-g374dea8
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Powerful IMAP/Maildir synchronization and reader support
 
-WRKSRC=		${WRKDIR}/jgoerzen-${PORTNAME}-0f1a667
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+LICENSE_FILE_GPLv2=${WRKSRC}/COPYING
+
+WRKSRC=		${WRKDIR}/nicolas33-${PORTNAME}-b49802f
 SUB_FILES=	pkg-message
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGVERSION=${PORTVERSION:R}
 
-DOCS=		COPYING COPYRIGHT FAQ.html UPGRADING
+DOCS=		*.rst docs/*.rst
 EXAMPLES=	offlineimap.conf offlineimap.conf.minimal
 
+pre-fetch:
+	# get github download ticket
+	if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
+		${FETCH_BINARY} -s >/dev/null \
+			http://github.com/nicolas33/${PORTNAME}/tarball/v${DISTVERSION}; \
+	fi
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: mail/offlineimap/distinfo
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- mail/offlineimap/distinfo	8 Aug 2010 21:31:40 -0000	1.20
+++ mail/offlineimap/distinfo	24 Feb 2011 21:22:42 -0000
@@ -1,3 +1,2 @@
-MD5 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = e1a01b6b1c1a70a1afaefb0a20634bc1
-SHA256 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 04b5757db2447164c43424f68b774c1e6ef6883c9b776ce48dd3109815569b85
-SIZE (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 103955
+SHA256 (nicolas33-offlineimap-v6.3.2-0-g374dea8.tar.gz) = 24082a70ec7a6d2e26c9b0385295b488f1993607f99410160f4905a6f99f1743
+SIZE (nicolas33-offlineimap-v6.3.2-0-g374dea8.tar.gz) = 92784
Index: mail/offlineimap/pkg-descr
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-descr,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-descr
--- mail/offlineimap/pkg-descr	27 Jul 2008 19:12:24 -0000	1.2
+++ mail/offlineimap/pkg-descr	6 Feb 2011 13:53:54 -0000
@@ -7,4 +7,4 @@ on your work computer as well.  OfflineI
 to use a mail reader that does not have IMAP support, has poor IMAP
 support, or does not provide disconnected operation.
 
-WWW:	http://software.complete.org/software/projects/show/offlineimap
+WWW:	http://offlineimap.org
Index: mail/offlineimap/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-plist,v
retrieving revision 1.8
diff -u -p -r1.8 pkg-plist
--- mail/offlineimap/pkg-plist	8 Aug 2010 21:31:40 -0000	1.8
+++ mail/offlineimap/pkg-plist	21 Jan 2011 20:51:58 -0000
@@ -65,9 +65,6 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.py
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.py
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap/ui
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.py
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyc
@@ -102,14 +99,15 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.py
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/version.py
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
-%%PORTDOCS%%%%DOCSDIR%%/FAQ.html
-%%PORTDOCS%%%%DOCSDIR%%/UPGRADING
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.draft.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.rst
+%%PORTDOCS%%%%DOCSDIR%%/FAQ.rst
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL.rst
+%%PORTDOCS%%%%DOCSDIR%%/MANUAL.rst
+%%PORTDOCS%%%%DOCSDIR%%/README.rst
+%%PORTDOCS%%%%DOCSDIR%%/SubmittingPatches.rst
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADE.rst
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%EXAMPLESDIR%%/offlineimap.conf
 %%EXAMPLESDIR%%/offlineimap.conf.minimal
--- a.diff ends here ---
Comment 7 Pan Tsu 2011-03-23 19:40:14 UTC
bump version to v6.3.2.1 release

  http://lists.alioth.debian.org/pipermail/offlineimap-project/2011-March/001455.html

--- a.diff begins here ---
Index: mail/offlineimap/Makefile
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/Makefile,v
retrieving revision 1.32
diff -u -p -r1.32 Makefile
--- mail/offlineimap/Makefile	8 Aug 2010 21:31:40 -0000	1.32
+++ mail/offlineimap/Makefile	23 Mar 2011 19:36:07 -0000
@@ -6,27 +6,36 @@
 #
 
 PORTNAME=	offlineimap
-DISTVERSION=	6.2.0.2
-DISTVERSIONSUFFIX=-0-g6b1cb5e
+DISTVERSION=	6.3.2.1
 CATEGORIES=	mail python
 MASTER_SITES=	http://download.github.com/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	sergei
-DISTNAME=	jgoerzen-${PORTNAME}-debian-${DISTVERSION}${DISTVERSIONSUFFIX}
+DISTNAME=	nicolas33-${PORTNAME}-v${DISTVERSION}-0-g37d0fe8
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Powerful IMAP/Maildir synchronization and reader support
 
-WRKSRC=		${WRKDIR}/jgoerzen-${PORTNAME}-0f1a667
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+LICENSE_FILE_GPLv2=${WRKSRC}/COPYING
+
+WRKSRC=		${WRKDIR}/nicolas33-${PORTNAME}-64c2baa
 SUB_FILES=	pkg-message
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGVERSION=${PORTVERSION:R}
 
-DOCS=		COPYING COPYRIGHT FAQ.html UPGRADING
+DOCS=		*.rst docs/*.rst
 EXAMPLES=	offlineimap.conf offlineimap.conf.minimal
 
+pre-fetch:
+	# get github download ticket
+	if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
+		${FETCH_BINARY} -s >/dev/null \
+			http://github.com/nicolas33/${PORTNAME}/tarball/v${DISTVERSION}; \
+	fi
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: mail/offlineimap/distinfo
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- mail/offlineimap/distinfo	8 Aug 2010 21:31:40 -0000	1.20
+++ mail/offlineimap/distinfo	23 Mar 2011 19:35:37 -0000
@@ -1,3 +1,2 @@
-MD5 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = e1a01b6b1c1a70a1afaefb0a20634bc1
-SHA256 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 04b5757db2447164c43424f68b774c1e6ef6883c9b776ce48dd3109815569b85
-SIZE (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 103955
+SHA256 (nicolas33-offlineimap-v6.3.2.1-0-g37d0fe8.tar.gz) = 0f4ee317703ff659f44056e254b59309efda2cab59852fea662e4647cdf3cede
+SIZE (nicolas33-offlineimap-v6.3.2.1-0-g37d0fe8.tar.gz) = 93037
Index: mail/offlineimap/pkg-descr
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-descr,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-descr
--- mail/offlineimap/pkg-descr	27 Jul 2008 19:12:24 -0000	1.2
+++ mail/offlineimap/pkg-descr	6 Feb 2011 13:53:54 -0000
@@ -7,4 +7,4 @@ on your work computer as well.  OfflineI
 to use a mail reader that does not have IMAP support, has poor IMAP
 support, or does not provide disconnected operation.
 
-WWW:	http://software.complete.org/software/projects/show/offlineimap
+WWW:	http://offlineimap.org
Index: mail/offlineimap/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-plist,v
retrieving revision 1.8
diff -u -p -r1.8 pkg-plist
--- mail/offlineimap/pkg-plist	8 Aug 2010 21:31:40 -0000	1.8
+++ mail/offlineimap/pkg-plist	23 Mar 2011 19:37:14 -0000
@@ -65,9 +65,6 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.py
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.py
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap/ui
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.py
 %%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyc
@@ -102,14 +99,16 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.py
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/version.py
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
-%%PORTDOCS%%%%DOCSDIR%%/FAQ.html
-%%PORTDOCS%%%%DOCSDIR%%/UPGRADING
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.draft.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.maint.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.rst
+%%PORTDOCS%%%%DOCSDIR%%/FAQ.rst
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL.rst
+%%PORTDOCS%%%%DOCSDIR%%/MANUAL.rst
+%%PORTDOCS%%%%DOCSDIR%%/README.rst
+%%PORTDOCS%%%%DOCSDIR%%/SubmittingPatches.rst
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADE.rst
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%EXAMPLESDIR%%/offlineimap.conf
 %%EXAMPLESDIR%%/offlineimap.conf.minimal
--- a.diff ends here ---
Comment 8 Pan Tsu 2011-04-24 19:09:48 UTC
bump version to v6.3.3 release

  http://lists.alioth.debian.org/pipermail/offlineimap-project/2011-April/001681.html

--- a.diff begins here ---
Index: mail/offlineimap/Makefile
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/Makefile,v
retrieving revision 1.32
diff -u -p -r1.32 Makefile
--- mail/offlineimap/Makefile	8 Aug 2010 21:31:40 -0000	1.32
+++ mail/offlineimap/Makefile	24 Apr 2011 17:59:11 -0000
@@ -6,27 +6,36 @@
 #
 
 PORTNAME=	offlineimap
-DISTVERSION=	6.2.0.2
-DISTVERSIONSUFFIX=-0-g6b1cb5e
+DISTVERSION=	6.3.3
 CATEGORIES=	mail python
 MASTER_SITES=	http://download.github.com/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	sergei
-DISTNAME=	jgoerzen-${PORTNAME}-debian-${DISTVERSION}${DISTVERSIONSUFFIX}
+DISTNAME=	nicolas33-${PORTNAME}-v${DISTVERSION}-0-g3b09695
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Powerful IMAP/Maildir synchronization and reader support
 
-WRKSRC=		${WRKDIR}/jgoerzen-${PORTNAME}-0f1a667
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+LICENSE_FILE_GPLv2=${WRKSRC}/COPYING
+
+WRKSRC=		${WRKDIR}/nicolas33-${PORTNAME}-cf325d5
 SUB_FILES=	pkg-message
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGVERSION=${PORTVERSION:R}
 
-DOCS=		COPYING COPYRIGHT FAQ.html UPGRADING
+DOCS=		*.rst docs/*.rst
 EXAMPLES=	offlineimap.conf offlineimap.conf.minimal
 
+pre-fetch:
+	# get github download ticket
+	if [ ! -f ${DISTDIR}/${DISTFILES} ]; then \
+		${FETCH_BINARY} -s >/dev/null \
+			http://github.com/nicolas33/${PORTNAME}/tarball/v${DISTVERSION}; \
+	fi
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: mail/offlineimap/distinfo
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/distinfo,v
retrieving revision 1.20
diff -u -p -r1.20 distinfo
--- mail/offlineimap/distinfo	8 Aug 2010 21:31:40 -0000	1.20
+++ mail/offlineimap/distinfo	24 Apr 2011 17:58:50 -0000
@@ -1,3 +1,2 @@
-MD5 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = e1a01b6b1c1a70a1afaefb0a20634bc1
-SHA256 (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 04b5757db2447164c43424f68b774c1e6ef6883c9b776ce48dd3109815569b85
-SIZE (jgoerzen-offlineimap-debian-6.2.0.2-0-g6b1cb5e.tar.gz) = 103955
+SHA256 (nicolas33-offlineimap-v6.3.3-0-g3b09695.tar.gz) = 762591144f13423da6020ba840e2eb216c4ed45839f1881ac90d9e3dd57f4eca
+SIZE (nicolas33-offlineimap-v6.3.3-0-g3b09695.tar.gz) = 117153
Index: mail/offlineimap/pkg-descr
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-descr,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-descr
--- mail/offlineimap/pkg-descr	27 Jul 2008 19:12:24 -0000	1.2
+++ mail/offlineimap/pkg-descr	6 Feb 2011 13:53:54 -0000
@@ -7,4 +7,4 @@ on your work computer as well.  OfflineI
 to use a mail reader that does not have IMAP support, has poor IMAP
 support, or does not provide disconnected operation.
 
-WWW:	http://software.complete.org/software/projects/show/offlineimap
+WWW:	http://offlineimap.org
Index: mail/offlineimap/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/mail/offlineimap/pkg-plist,v
retrieving revision 1.8
diff -u -p -r1.8 pkg-plist
--- mail/offlineimap/pkg-plist	8 Aug 2010 21:31:40 -0000	1.8
+++ mail/offlineimap/pkg-plist	24 Apr 2011 18:07:02 -0000
@@ -65,19 +65,19 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.py
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/ui/debuglock.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.py
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/ui/detector.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap/ui
-%%PYTHON_SITELIBDIR%%/offlineimap/__init__.py
-%%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyo
 %%PYTHON_SITELIBDIR%%/offlineimap/CustomConfig.py
 %%PYTHON_SITELIBDIR%%/offlineimap/CustomConfig.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/CustomConfig.pyo
+%%PYTHON_SITELIBDIR%%/offlineimap/__init__.py
+%%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyc
+%%PYTHON_SITELIBDIR%%/offlineimap/__init__.pyo
 %%PYTHON_SITELIBDIR%%/offlineimap/accounts.py
 %%PYTHON_SITELIBDIR%%/offlineimap/accounts.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/accounts.pyo
+%%PYTHON_SITELIBDIR%%/offlineimap/imaplib2.py
+%%PYTHON_SITELIBDIR%%/offlineimap/imaplib2.pyc
+%%PYTHON_SITELIBDIR%%/offlineimap/imaplib2.pyo
 %%PYTHON_SITELIBDIR%%/offlineimap/imaplibutil.py
 %%PYTHON_SITELIBDIR%%/offlineimap/imaplibutil.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/imaplibutil.pyo
@@ -102,14 +102,16 @@ bin/offlineimap
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.py
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyc
 %%PYTHON_SITELIBDIR%%/offlineimap/threadutil.pyo
-%%PYTHON_SITELIBDIR%%/offlineimap/version.py
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyc
-%%PYTHON_SITELIBDIR%%/offlineimap/version.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/offlineimap
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
-%%PORTDOCS%%%%DOCSDIR%%/FAQ.html
-%%PORTDOCS%%%%DOCSDIR%%/UPGRADING
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.draft.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.maint.rst
+%%PORTDOCS%%%%DOCSDIR%%/Changelog.rst
+%%PORTDOCS%%%%DOCSDIR%%/FAQ.rst
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL.rst
+%%PORTDOCS%%%%DOCSDIR%%/MANUAL.rst
+%%PORTDOCS%%%%DOCSDIR%%/README.rst
+%%PORTDOCS%%%%DOCSDIR%%/SubmittingPatches.rst
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADE.rst
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%EXAMPLESDIR%%/offlineimap.conf
 %%EXAMPLESDIR%%/offlineimap.conf.minimal
--- a.diff ends here ---
Comment 9 dfilter service freebsd_committer 2011-07-01 21:13:19 UTC
uqs         2011-07-01 20:13:06 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    mail/offlineimap     Makefile distinfo pkg-descr pkg-plist 
  Log:
  Update to 6.3.3
  
  This fixes offlineimap to work with Python 2.7 again
  
  PR:             ports/154085, ports/157447
  Submitted by:   Anonymous <swell.k@gmail.com>, Pan Tsu <inyaoo@gmail.com>,
                  Mark Felder <feld@feld.me>
  Approved by:    Maintainer timeout
  
  Revision  Changes    Path
  1.33      +15 -6     ports/mail/offlineimap/Makefile
  1.21      +2 -3      ports/mail/offlineimap/distinfo
  1.3       +1 -1      ports/mail/offlineimap/pkg-descr
  1.9       +16 -14    ports/mail/offlineimap/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Ulrich Spörlein freebsd_committer 2011-07-01 21:13:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 11 commit-hook freebsd_committer 2015-03-11 08:23:11 UTC
A commit references this bug:

Author: arved
Date: Wed Mar 11 08:22:43 UTC 2015
New revision: 380976
URL: https://svnweb.freebsd.org/changeset/ports/380976

Log:
  Update to 1.56b

  PR:		154085
  Submitted by:	maintainer

Changes:
  head/security/afl/Makefile
  head/security/afl/distinfo
  head/security/afl/pkg-plist